import {Video} from "@tarojs/components";
import {FC} from "react";
import Taro from "@tarojs/taro";
import styles from './videoFull.module.scss'

interface Props {
  url: string
}

const VideoFull: FC<Props> = () => {
  const {url} = Taro.useRouter().params
  return (
    <Video
      className={styles.video}
      src={url!}
      autoplay
      loop
      showFullscreenBtn={false}
      showPlayBtn={false}
      showCenterPlayBtn={true}
      enableProgressGesture={false}
      enablePlayGesture
      autoPauseIfOpenNative
    />
  )
}

export default VideoFull
